function getElementPosition(el) {
    var lx = 0, ly = 0;
    while (el != null) {
        lx += el.offsetLeft;
        ly += el.offsetTop;
        el = el.offsetParent;
    }
    return {x: lx, y: ly};
}

function setupOnScroll () {
    var scrollTimer = null;
    document.onscroll = function() { 
        clearTimeout(scrollTimer);
        scrollTimer = setTimeout(onStoppedScroll, 500); 
    };
}

var lastAnchor = null;
function onStoppedScroll () {
    var els = document.getElementsByClassName("posizione_versetto");
    
    for (var i = 0; i < els.length; i++) {
        var pos = getElementPosition(els[i]).y;
        pos -= document.body.scrollTop;
    
        var name = els[i].name;
    
        if (pos >= 0 && name != lastAnchor) {
            lastAnchor = name;
            LaParola.notificaPrimoSegnalibroVisisible(lastAnchor);
            return;
        }
    }
}

